Buggy/unreadable polygons created by functions splitting/fill ring/Reshape features...

2014-10-13 06:42 AM - Christoph Moebus

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 19680

Description

While trying to edit a simple polygon shape file all the used functions splitting/fill ring/Reshape features create a buggy shape-file that is

not readable by any other GIS-enabled programm correctly.

The only way to create a correct polygon shape file with the edits is to use the command "Save as" with creating a new file!

The bug is easy to reproduce -> open the Shapefile in "Test501_before_editing.zip" and use one of the above mentioned features (e. g.

"Split features") to split the polygon and try to read it with a different GIS-enabled programm (not QGIS!) and see the bug (= e. g.

"Test501_after_editing.zip").

Now save the polygon shape file as a new file with a new name and everything is fine "Test502_after_saving.zip"

I did not try all the other polygon editing features, but they probably create the same bug.

Related issues:

Related to QGIS Application - Bug report # 11007: Deleted/edited features wit... Closed 2014-08-05

Related to QGIS Application - Bug report # 11296: Deleting shapes in shapefil... Closed 2014-09-30

Related to QGIS Application - Bug report # 8822: OGR: Repack in running session Closed 2013-10-11

Associated revisions

Revision 7d7cdcd3 - 2015-05-28 12:34 PM - Matthias Kuhn

Repack shapefiles when saving after deleting features

    -  QgsVectorDataProvider::dataChanged() will be emitted

    -  QgsVectorLayer::dataChanged() will be emitted

    -  Clears QgsVectorLayerCache

    -  Reloads the attribute table

    -  Clears the selection

Looking forward to people complaining about their lost selection...

Fix #10560

Fix #11989

Refs #8317

Refs #8822

Refs #10483

Refs #11007

Refs #7540

Refs #11398

Refs #11296
History

#1 - 2014-10-14 03:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi, we need more details: what other software did you tested? What error messages did you get? doing what operation?

I just tested ArcGIS 10.* and gvSIG with your Test501_after_editing.zip sample and I have seen no problems whatsoever.

#2 - 2014-10-14 08:50 AM - andre mano

- File test_issue_1139.zip added

I just tested now with a fresh polygon created (and then splited) in QGIS Master (build b94b44a) and then opened the shapefile in ArcGIS 10.2 without any

abnormal behaviour. Attached is the project and shapefile. Could you test this in your computer and see if you can replicate the problem? Probably this is a

local issue.

#3 - 2014-10-14 09:22 AM - Christoph Moebus

- File test_issue_1139_redrawn.zip added

Thanks Andre,

the polygon you sent works perfectly fine at my site with the other GIS programms ...

Can you try and add a new column (e. g. decimal number with precission 2), then split the polygon again and post it again?

Because when I did this and tried to load it back in the programm again it did not work (attached file).

I have tested this issue at three different computers at my site and it exists at all of them.

#4 - 2014-10-14 09:31 AM - Christoph Moebus

- File GMS_error.jpg added

- File GMS_table.jpg added

- File Manifold_Table.jpg added

- File GMS_view.jpg added

- File Manifold_View.jpg added

@Giovanni (or someone else...):

I have used "Manifold GIS", "GMS" from Aquaveo, "FEFLOW" from DHI-WASY and they all show faults with the polygons edited in QGIS

It looks like, there are still some geometries left from the editing process and only the table (dbf) shows the correct two polygons.

You can see that in the views from Manifold and GMS I attached - there you can click on three "different" polygons, although there only should exist two.

This is what you would expect from the table in Manifold (see screenshot). GMS is telling that the records are not consistent (see GMS screenshots)

#5 - 2014-10-14 09:50 AM - Giovanni Manghi

Christoph Moebus wrote:
@Giovanni (or someone else...):

I have used "Manifold GIS", "GMS" from Aquaveo, "FEFLOW" from DHI-WASY and they all show faults with the polygons edited in QGIS

anything I can freely download and install in my Windows virtual machine? if yes can you provide some link? thanks!

#6 - 2014-10-15 01:49 AM - Christoph Moebus

Yes, you can download FEFLOW at http://www.feflow.com/download.html?&#38;no_cache=1

 and use the free demo licence and you can download GMS also at http://www.aquaveo.com/downloads Unfortuantely there is no free licence for Manifold

GIS

#7 - 2014-10-16 05:52 AM - andre mano

- File test_issue_1139__2_.zip added

Hi Cristoph,

I did as you said (add a decimal column, split the polygon, open it in ArcGIS 10.2), but still I could not replicate your problem. Everything seems to behave

as expected here.

Could you please do a screencast showing how you reproduce the error? Maybe we are not replicating the process as we should. For now what I can say

is that as far as ArcGIS is concerned everything is ok.

#8 - 2014-10-16 05:58 AM - Giovanni Manghi

andre mano wrote:

Hi Cristoph,

I did as you said (add a decimal column, split the polygon, open it in ArcGIS 10.2), but still I could not replicate your problem. Everything seems to

behave as expected here.

Could you please do a screencast showing how you reproduce the error? Maybe we are not replicating the process as we should. For now what I

can say is that as far as ArcGIS is concerned everything is ok.

André, I can confirm the issue. Actually it seems that this 3 tickets

#11007

#11398

#11296

are all the same. I'm trying to make a few tests and then I'll plan to merge them all in 1.

#9 - 2014-10-16 07:07 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate
duplicate of #11007

Files

Test501_after_editing.zip 2.09 KB 2014-10-13 Christoph Moebus

Test501_before_editing.zip 1.73 KB 2014-10-13 Christoph Moebus

Test502_after_saving.zip 1.16 KB 2014-10-13 Christoph Moebus

test_issue_1139.zip 7.01 KB 2014-10-14 andre mano

test_issue_1139_redrawn.zip 4.17 KB 2014-10-14 Christoph Moebus

Manifold_View.jpg 151 KB 2014-10-14 Christoph Moebus

GMS_view.jpg 100 KB 2014-10-14 Christoph Moebus

Manifold_Table.jpg 87.8 KB 2014-10-14 Christoph Moebus

GMS_error.jpg 7.06 KB 2014-10-14 Christoph Moebus

GMS_table.jpg 18.4 KB 2014-10-14 Christoph Moebus

test_issue_1139__2_.zip 7.23 KB 2014-10-16 andre mano
